package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 模具物料明细
 *
 */
@Table(name = "purc$inquirymoulddetail")
@Entity
public class PurchaseInquiryMouldDetailSimpleInfo {

	@Id
	@Column(name = "imd_id")
	private Long id;

	/**
	 * 单号
	 */
	@Column(name = "imd_code")
	private String code;

	/**
	 * 物料编号
	 */
	@Column(name = "imd_prodcode")
	private String prodcode;

	/**
	 * 物料名称
	 */
	@Column(name = "imd_prodtitle")
	private String prodtitle;

	/**
	 * 物料规格
	 */
	@Column(name = "imd_prodspec")
	private String prodspec;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getProdcode() {
		return prodcode;
	}

	public void setProdcode(String prodcode) {
		this.prodcode = prodcode;
	}

	public String getProdtitle() {
		return prodtitle;
	}

	public void setProdtitle(String prodtitle) {
		this.prodtitle = prodtitle;
	}

	public String getProdspec() {
		return prodspec;
	}

	public void setProdspec(String prodspec) {
		this.prodspec = prodspec;
	}

	@Override
	public String toString() {
		return "PurchaseInquiryMouldSDetailSimpleInfo [id=" + id + ", code=" + code + ", prodcode=" + prodcode
				+ ", prodtitle=" + prodtitle + ", prodspec=" + prodspec + "]";
	}

}
